Page MenuHomePhabricator

Remove IE 6 & 7 hacks and workarounds from core & extensions
Closed, ResolvedPublic

Description

With T232563: Drop IE6 and IE7 basic compatibility and security support in, let's remove obsolete Internet Explorer 6 & 7 workarounds.

Most of the remaining ones (or all?) are now to find in CSS land.
Among those currently in production:

  • star hack and equivalent: *display:
  • !ie
  • hasLayout properties: zoom: 1, zoom: 100%
  • clip( 1px 1px 1px 1px ) without commas separating values

Similar, but different scope tasks:

Details

Related Gerrit Patches:
mediawiki/skins/MonoBook : masterRemove IE 6 & 7 specific code
mediawiki/extensions/Quiz : masterRemove IE 6 & 7 hacks
mediawiki/extensions/TimedMediaHandler : masterReplace IE 4-7 compatible code with standard syntax
mediawiki/core : masterUpdate OOUI to v0.35.0
oojs/ui : masterWikimediaUI, Apex theme: Remove IE 6 fallbacks
mediawiki/core : masterRemove IE 6 & 7 hasLayout hacks
mediawiki/core : masterRemove obsolete IE 6 & 7 specific comments
mediawiki/core : masterRemove IE 6 & 7 specific star hack
mediawiki/core : masterRemove IE 7 specific `!ie` hack
mediawiki/extensions/ProofreadPage : masterRemove IE 6 & 7 specific `!ie` hack
mediawiki/skins/Vector : masterRemove IE 6 & 7 hasLayout hacks
mediawiki/core : masterresourceloader: Remove data URI fallback for IE6 and IE7
mediawiki/extensions/UploadWizard : masterRemove IE 6 & 7 hacks
wikimedia-ui-base : masterRemove obsolete IE 6 & 7 specific comments
mediawiki/skins/Vector : masterRemove IE 6 & 7 specific star hack
mediawiki/extensions/Echo : masterRemove IE 6 & 7 hacks
mediawiki/extensions/GettingStarted : masterRemove IE 6 & 7 hacks
mediawiki/extensions/Cite : masterRemove IE 6 & 7 specific hacks

Event Timeline

Volker_E created this task.Oct 4 2019, 12:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2019, 12:39 AM
Volker_E updated the task description. (Show Details)Oct 4 2019, 12:39 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Oct 4 2019, 12:53 AM

Change 540736 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove IE 6 & 7 specific star hack

https://gerrit.wikimedia.org/r/540736

Volker_E updated the task description. (Show Details)Oct 4 2019, 1:09 AM

Change 540737 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Remove IE 6 & 7 specific star hack

https://gerrit.wikimedia.org/r/540737

Change 540738 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove IE 7 specific !ie hack

https://gerrit.wikimedia.org/r/540738

Change 540740 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove IE 6 & 7 hasLayout hacks

https://gerrit.wikimedia.org/r/540740

Change 540741 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove obsolete IE 6 & 7 specific comments

https://gerrit.wikimedia.org/r/540741

Change 540742 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Cite@master] Remove IE 6 & 7 specific hacks

https://gerrit.wikimedia.org/r/540742

Change 540743 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/GettingStarted@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540743

Change 540744 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540744

Volker_E updated the task description. (Show Details)Oct 4 2019, 2:08 AM

Change 540745 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UploadWizard@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540745

Change 540742 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Remove IE 6 & 7 specific hacks

https://gerrit.wikimedia.org/r/540742

Change 540746 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Remove data URI fallback for IE6 and IE7

https://gerrit.wikimedia.org/r/540746

Change 540744 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540744

Change 540743 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540743

Change 540747 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[wikimedia-ui-base@master] Remove obsolete IE 6 & 7 specific comments

https://gerrit.wikimedia.org/r/540747

Change 540737 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove IE 6 & 7 specific star hack

https://gerrit.wikimedia.org/r/540737

Change 540745 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540745

Change 540747 merged by jenkins-bot:
[wikimedia-ui-base@master] Remove obsolete IE 6 & 7 specific comments

https://gerrit.wikimedia.org/r/540747

Change 540748 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI, Apex theme: Remove IE 6 fallbacks

https://gerrit.wikimedia.org/r/540748

Change 540746 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Remove data URI fallback for IE6 and IE7

https://gerrit.wikimedia.org/r/540746

Change 540750 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Remove IE 6 & 7 hasLayout hacks

https://gerrit.wikimedia.org/r/540750

Change 540751 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ProofreadPage@master] Remove IE 6 & 7 specific !ie hack

https://gerrit.wikimedia.org/r/540751

Volker_E renamed this task from Remove IE 6&7 hacks and workarounds from core & extensions to Remove IE 6 & 7 hacks and workarounds from core & extensions.Oct 4 2019, 3:48 AM

Change 540750 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove IE 6 & 7 hasLayout hacks

https://gerrit.wikimedia.org/r/540750

Change 540752 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Quiz@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540752

Volker_E triaged this task as Normal priority.Oct 4 2019, 4:00 AM

Change 540736 abandoned by VolkerE:
Remove IE 6 & 7 specific star hack

Reason:
for rebasing issues

https://gerrit.wikimedia.org/r/540736

Change 540736 restored by VolkerE:
Remove IE 6 & 7 specific star hack

Reason:
Exactly, confusion

https://gerrit.wikimedia.org/r/540736

Change 540751 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Remove IE 6 & 7 specific !ie hack

https://gerrit.wikimedia.org/r/540751

Change 540736 merged by jenkins-bot:
[mediawiki/core@master] Remove IE 6 & 7 specific star hack

https://gerrit.wikimedia.org/r/540736

Change 540738 merged by jenkins-bot:
[mediawiki/core@master] Remove IE 7 specific !ie hack

https://gerrit.wikimedia.org/r/540738

Change 540740 merged by jenkins-bot:
[mediawiki/core@master] Remove IE 6 & 7 hasLayout hacks

https://gerrit.wikimedia.org/r/540740

Change 540741 merged by jenkins-bot:
[mediawiki/core@master] Remove obsolete IE 6 & 7 specific comments

https://gerrit.wikimedia.org/r/540741

Change 540748 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI, Apex theme: Remove IE 6 fallbacks

https://gerrit.wikimedia.org/r/540748

Change 541905 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.35.0

https://gerrit.wikimedia.org/r/541905

Change 541905 abandoned by VolkerE:
Update OOUI to v0.35.0

Reason:
for v0.35.1, which is on its way

https://gerrit.wikimedia.org/r/541905

Change 542715 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TimedMediaHandler@master] Replace IE 4-7 compatible code with standard syntax

https://gerrit.wikimedia.org/r/542715

Change 542715 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Replace IE 4-7 compatible code with standard syntax

https://gerrit.wikimedia.org/r/542715

Change 542718 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MonoBook@master] Remove IE 6 & 7 specific code

https://gerrit.wikimedia.org/r/542718

brion added a subscriber: brion.Oct 15 2019, 9:06 PM

Change 542715 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Replace IE 4-7 compatible code with standard syntax
https://gerrit.wikimedia.org/r/542715

This change is in upstream code and will be automatically replaced by the original version on the next update from upstream; local code changes like this will not be retained. I'm reverting it to avoid giving the impression it's expected to stay.

If it's important, please submit changes upstream to https://github.com/videojs/video.js/issues so we can use them in future, or set up a local patch using the grunt task if it's important to maintain separately.

Change 540752 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Remove IE 6 & 7 hacks

https://gerrit.wikimedia.org/r/540752

Change 542718 merged by jenkins-bot:
[mediawiki/skins/MonoBook@master] Remove IE 6 & 7 specific code

https://gerrit.wikimedia.org/r/542718

Volker_E closed this task as Resolved.Oct 16 2019, 10:45 PM
Volker_E claimed this task.
Volker_E updated the task description. (Show Details)
Volker_E removed a project: Patch-For-Review.

The remaining repositories featuring are volunteer skins. Successfully resolving this.